Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface OWLModel

All Superinterfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.model.KnowledgeBase, OWLTestManager, ProtegeKnowledgeBase

All Known Implementing Classes:
  AbstractOWLModel, JenaOWLModel, OWLDatabaseModel

    public interface OWLModel

extends ProtegeKnowledgeBase, OWLTestManager

A KnowledgeBase with a number of convenience methods to handle anonymous classes.

Author:
  Holger Knublauch

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`MAXIMUM_CARDINALITY_UNBOUNDED, UNLIMITED_MATCHES`

Method Summary
`void` | `addClassListener(ClassListener listener)` Adds a ClassListener to receive events about any class in this OWLModel.
`void` | `addModelListener(ModelListener listener)` Adds a ModelListener to receive notifications when resources have been created, renamed or deleted.
`void` | `addPropertyListener(PropertyListener listener)` Adds a PropertyListener to receive events about any property in this OWLModel.
`void` | `addPropertyValueListener(PropertyValueListener listener)` Adds a PropertyValueListener to receive events about any property value change in this OWLModel.
`void` | `addResourceListener(ResourceListener listener)` Adds a ResourceListener to receive events about any RDFResource in this OWLModel.
`RDFObject` | `asRDFObject(Object object)` Gets an `RDFObject` for a given value.
`RDFSLiteral` | `asRDFSLiteral(Object value)` Gets an RDFSLiteral for a given value.
`List` | `asRDFSLiterals(Collection values)`
`OWLDatatypeProperty` | `createAnnotationOWLDatatypeProperty(String name)`
`OWLObjectProperty` | `createAnnotationOWLObjectProperty(String name)`
`RDFProperty` | `createAnnotationProperty(String name)` Creates a simple owl:AnnotationProperty.
`String` | `createNewResourceName(String partialLocalName)` Creates a unique name from a given local name prefix.
`OWLAllDifferent` | `createOWLAllDifferent()`
`OWLAllValuesFrom` | `createOWLAllValuesFrom()`
`OWLAllValuesFrom` | `createOWLAllValuesFrom(RDFProperty property, RDFResource filler)`
`OWLAllValuesFrom` | `createOWLAllValuesFrom(RDFProperty property, RDFSLiteral[] oneOfValues)`
`OWLCardinality` | `createOWLCardinality()`
`OWLCardinality` | `createOWLCardinality(RDFProperty property, int value)`
`OWLCardinality` | `createOWLCardinality(RDFProperty property, int value, RDFSClass qualifier)`
`OWLComplementClass` | `createOWLComplementClass()`
`OWLComplementClass` | `createOWLComplementClass(RDFSClass complement)`
`OWLDataRange` | `createOWLDataRange()` Creates an empty owl:DataRange.
`OWLDataRange` | `createOWLDataRange(RDFSLiteral[] values)` Creates a new owl:DataRange consisting of a given set of values.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name)` Creates a new OWLDatatypeProperty (with default settings, e.g.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name, OWLNamedClass metaclass)` Creates a new OWLDatatypeProperty with a given rdf:type as metaclass.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name, RDFSDatatype datatype)` Creates a new OWLDatatypeProperty with a given RDFSDatatype as range.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name, RDFSLiteral[] dataRangeLiterals)`
`OWLEnumeratedClass` | `createOWLEnumeratedClass()`
`OWLEnumeratedClass` | `createOWLEnumeratedClass(Collection instances)`
`OWLHasValue` | `createOWLHasValue()`
`OWLHasValue` | `createOWLHasValue(RDFProperty property, Object value)` Creates a new OWLHasValue for a given Slot.
`OWLIntersectionClass` | `createOWLIntersectionClass()`
`OWLIntersectionClass` | `createOWLIntersectionClass(Collection clses)`
`OWLMaxCardinality` | `createOWLMaxCardinality()`
`OWLMaxCardinality` | `createOWLMaxCardinality(RDFProperty property, int value)`
`OWLMaxCardinality` | `createOWLMaxCardinality(RDFProperty property, int value, RDFSClass qualifier)`
`OWLMinCardinality` | `createOWLMinCardinality()`
`OWLMinCardinality` | `createOWLMinCardinality(RDFProperty property, int value)`
`OWLMinCardinality` | `createOWLMinCardinality(RDFProperty property, int value, RDFSClass qualifier)`
`OWLNamedClass` | `createOWLNamedClass(String name)`
`OWLNamedClass` | `createOWLNamedClass(String name, boolean loadDefaults)`
`OWLNamedClass` | `createOWLNamedClass(String name, OWLNamedClass metaclass)` Creates a new named OWL class with a given metaclass, which must be a subclass of owl:Class.
`OWLNamedClass` | `createOWLNamedSubclass(String name, OWLNamedClass superclass)`
`OWLObjectProperty` | `createOWLObjectProperty(String name)` Creates a new OWLObjectProperty.
`OWLObjectProperty` | `createOWLObjectProperty(String name, Collection allowedClasses)`
`OWLObjectProperty` | `createOWLObjectProperty(String name, OWLNamedClass metaclass)`
`OWLOntology` | `createOWLOntology(String prefix)` Deprecated. developers should not need to create an owl ontology. There is a rename method in OWLUtils.
`OWLOntology` | `createOWLOntology(String name, String uri)` Deprecated. use the other createOWLOntology method instead
`OWLSomeValuesFrom` | `createOWLSomeValuesFrom()`
`OWLSomeValuesFrom` | `createOWLSomeValuesFrom(RDFProperty property, RDFResource filler)`
`OWLSomeValuesFrom` | `createOWLSomeValuesFrom(RDFProperty property, RDFSLiteral[] oneOfValues)`
`OWLUnionClass` | `createOWLUnionClass()`
`OWLUnionClass` | `createOWLUnionClass(Collection operandClasses)`
`RDFExternalResource` | `createRDFExternalResource(String uri)` Deprecated. use createRDFUntypedResource instead
`RDFList` | `createRDFList()` Creates a new empty rdf:List
`RDFList` | `createRDFList(Iterator values)` Creates a new rdf:List.
`RDFProperty` | `createRDFProperty(String name)`
`RDFSClass` | `createRDFSClassFromExpression(String parsableExpression)` Gets or creates an RDFSClass based on a parsable expression.
`RDFSDatatype` | `createRDFSDatatype(String name)`
`RDFSLiteral` | `createRDFSLiteral(Object value)` Creates a new RDFSLiteral with a default datatype derived from the value.
`RDFSLiteral` | `createRDFSLiteral(String lexicalValue, RDFSDatatype datatype)` Creates a new RDFSLiteral with a given datatype.
`RDFSLiteral` | `createRDFSLiteral(String value, String language)` Creates a new string-typed literal with a given language.
`Object` | `createRDFSLiteralOrString(String value, String language)` Creates a new string-typed literal with a given language.
`RDFSNamedClass` | `createRDFSNamedClass(String name)`
`RDFSNamedClass` | `createRDFSNamedClass(String name, boolean loadDefaults)`
`RDFSNamedClass` | `createRDFSNamedClass(String name, Collection parents, RDFSClass rdfType)` Creates an RDFSNamedClass (or perhaps an OWLNamedClass) with given name, superclasses and rdf:type.
`RDFSNamedClass` | `createRDFSNamedSubclass(String name, RDFSNamedClass superclass)` Creates a new named OWL class which has exactly a given superclass.
`RDFUntypedResource` | `createRDFUntypedResource(String uri)` Creates an untyped rdf:Resource for a given URI.
`RDFSNamedClass` | `createSubclass(String name, Collection superclasses)` Creates a subclass of a number of superclasses.
`RDFSNamedClass` | `createSubclass(String name, RDFSNamedClass superclass)` Creates a subclass of a superclass.
`RDFProperty` | `createSubproperty(String name, RDFProperty superproperty)` Creates a new property as a subproperty of an existing property.
`Triple` | `createTriple(RDFResource subject, RDFProperty predicate, Object object)` Creates a new Triple.
`QueryResults` | `executeSPARQLQuery(String partialQueryText)` Executes a SPARQL query on this OWLModel.
`Set<String>` | `getAllImports()` Gets all (transitive) imports in this OWLModel.
`edu.stanford.smi.protege.model.Cls` | `getAnonymousRootCls()` Deprecated. internal Protege detail
`Collection` | `getChangedInferredClasses()` Gets all named classes where the classification status is OWLNames.CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED, i.e.
`RDFSNamedClass` | `getCommonSuperclass(Collection<RDFSNamedClass> classes)` Chooses a most specific common named superclass of a given collection of named classes.
`Set<RDFSNamedClass>` | `getCommonSuperclasses(Collection<RDFSNamedClass> classes)` Gets the most specific common named superclasses of a given collection of named classes.
`String` | `getDefaultLanguage()` Gets the default language specified by the user through an annotation property at owl:Ontology.
`OWLOntology` | `getDefaultOWLOntology()`
`boolean` | `getDispatchEventsEnabled()`
`Collection` | `getDomainlessProperties()` Gets all properties that have owl:Thing as their domain.
`Set` | `getFloatDatatypes()` Gets all float XML Schema datatypes, including xsd:float etc.
`OWLFrameStoreManager` | `getFrameStoreManager()`
`boolean` | `getGenerateEventsEnabled()`
`edu.stanford.smi.protege.model.framestore.FrameStore` | `getHeadFrameStore()` Provides low level access to some internal Protege detail - normally not needed.
`Collection` | `getInconsistentClasses()` Gets all classes which have been marked as inconsistent.
`Set` | `getIntegerDatatypes()` Gets all integer XML Schema datatypes, including xsd:int etc.
`com.hp.hpl.jena.rdf.model.Model` | `getJenaModel()` Gets a (read-only) Jena Model serving as a live view upon the Protege TripleStores.
`String` | `getLocalNameForResourceName(String frameName)`
`String` | `getLocalNameForURI(String uri)` Gets the local part of an URI, e.g.
`Collection` | `getMatchingResources(RDFProperty property, String matchString, int maxMatches)` Gets all RDFResources that have a matching value for a given property.
`String` | `getNamespaceForResourceName(String resourceName)`
`String` | `getNamespaceForURI(String uri)` Gets the namespace part of a given URI.
`NamespaceManager` | `getNamespaceManager()` Gets the NamespaceManager used by this knowledge base.
`String` | `getNextAnonymousResourceName()` Gets the next name that can be used to create an "anonymous" instance.
`com.hp.hpl.jena.ontology.OntModel` | `getOntModel()`
`RDFSNamedClass` | `getOWLAllDifferentClass()`
`Collection` | `getOWLAllDifferents()` Gets a collection of all OWLAllDifferents in the knowlegde base.
`Collection<RDFProperty>` | `getOWLAnnotationProperties()` Gets all annotation properties.
`RDFSNamedClass` | `getOWLAnnotationPropertyClass()`
`RDFProperty` | `getOWLCardinalityProperty()`
`OWLClassDisplay` | `getOWLClassDisplay()` Gets the currently used renderer for classes into display strings.
`OWLClassParser` | `getOWLClassParser()` Gets the OWLClassParser for the current class expression syntax.
`RDFSNamedClass` | `getOWLDataRangeClass()` Gets the class owl:DataRange, which is used to represent enumerations of datatype values.
`OWLDatatypeProperty` | `getOWLDatatypeProperty(String name)`
`OWLNamedClass` | `getOWLDatatypePropertyClass()` Gets the standard metaclass of all datatype slots/properties.
`RDFSNamedClass` | `getOWLDeprecatedClassClass()`
`RDFProperty` | `getOWLDifferentFromProperty()`
`RDFProperty` | `getOWLDisjointWithProperty()`
`RDFProperty` | `getOWLEquivalentClassProperty()`
`RDFProperty` | `getOWLEquivalentPropertyProperty()`
`OWLFrameStore` | `getOWLFrameStore()` Provides low level access to some internal Protege detail - normally not needed.
`RDFSNamedClass` | `getOWLFunctionalPropertyClass()`
`OWLIndividual` | `getOWLIndividual(String name)`
`Collection` | `getOWLIndividuals()` Gets those Instances in the ontology that are instances of a OWLNamedClass.
`Collection` | `getOWLIndividuals(boolean onlyVisibleClasses)` Gets those Instances in the ontology that are instances of a OWLNamedClass.
`RDFProperty` | `getOWLIntersectionOfProperty()`
`RDFSNamedClass` | `getOWLInverseFunctionalPropertyClass()`
`RDFProperty` | `getOWLInverseOfProperty()`
`OWLJavaFactory` | `getOWLJavaFactory()` Gets the OWLJavaFactory that is used to create the Java objects for ontology resources.
`RDFProperty` | `getOWLMaxCardinalityProperty()`
`RDFProperty` | `getOWLMinCardinalityProperty()`
`OWLNamedClass` | `getOWLNamedClass(String name)` A convenience method which includes the typecast after `getCls()`.
`OWLNamedClass` | `getOWLNamedClassClass()` Gets the standard metaclass of all named classes.
`OWLNamedClass` | `getOWLNothing()` Gets the system class `owl:Nothing`, which represents the empty set for reasoners.
`OWLObjectProperty` | `getOWLObjectProperty(String name)`
`OWLNamedClass` | `getOWLObjectPropertyClass()` Gets the standard metaclass of all object slots/properties.
`RDFProperty` | `getOWLOneOfProperty()` Gets the owl:oneOf property.
`Collection` | `getOWLOntologies()` Gets all OWLOntologies in the current model.
`OWLOntology` | `getOWLOntologyByURI(String uri)` Deprecated. use #getOWLOntologyByURI(URI uri) DO NOT PASS IN THE URI OF AN UNRESOLVED IMPORT AS THIS WILL CAUSE A Class Cast Exception
`RDFResource` | `getOWLOntologyByURI(URI uri)` Gets the OWLOntology with a given URI.
`OWLNamedClass` | `getOWLOntologyClass()`
`Collection` | `getOWLOntologyProperties()` Gets the owl:OntologyProperties defined in OWL.
`OWLProject` | `getOWLProject()` Gets the associated OWLProject, which can be used to store project-specific settings.
`OWLProperty` | `getOWLProperty(String name)` A convenience method including typecast.
`RDFSNamedClass[]` | `getOWLRestrictionMetaclasses()` Gets the metaclasses of the available OWLRestriction kinds.
`Collection` | `getOWLRestrictionsOnProperty(RDFProperty property)` Gets a Collection of all Restrictions that are defined on a given property.
`RDFProperty` | `getOWLSameAsProperty()`
`RDFSNamedClass` | `getOWLSomeValuesFromRestrictionClass()` Gets the meta class that represents some values from restrictions.
`Collection` | `getOWLSystemResources()` Gets a Collection of all system resources installed by the OWL Plugin.
`OWLNamedClass` | `getOWLThingClass()` Gets the root class of the OWL class hierarchy (owl:Thing).
`RDFProperty` | `getOWLUnionOfProperty()`
`RDFProperty` | `getOWLValuesFromProperty()` Gets the owl:valuesFrom property (used for qualified cardinality restrictions.
`edu.stanford.smi.protege.model.ValueType` | `getOWLValueType(String uri)` Gets the Protege ValueType that represents a given URI string.
`RDFProperty` | `getOWLVersionInfoProperty()`
`String` | `getPrefixForResourceName(String resourceName)`
`PropertyValueValidator` | `getPropertyValueValidator()` Gets the currently used PropertyValueValidator.
`RDFProperty` | `getProtegeAllowedParentProperty()` Gets the property protege:allowedParent (if it exists)
`RDFProperty` | `getProtegeClassificationStatusProperty()` Gets the property that is used internally to store the classification status of a class.
`RDFProperty` | `getProtegeInferredSubclassesProperty()`
`RDFProperty` | `getProtegeInferredSuperclassesProperty()`
`RDFProperty` | `getProtegeReadOnlyProperty()` The Protege readOnly property has a special behavior required by NCI.
`RDFProperty` | `getProtegeSubclassesDisjointProperty()`
`RDFExternalResource` | `getRDFExternalResource(String uri)` Deprecated. use getRDFUntypedResource instead
`RDFSClass` | `getRDFExternalResourceClass()` Deprecated. use getRDFUntypedResourcesClass
`RDFProperty` | `getRDFFirstProperty()` Gets the rdf:first property.
`RDFIndividual` | `getRDFIndividual(String name)`
`Collection` | `getRDFIndividuals()` Gets those Instances in the ontology that are instances of an RDFSNamedClass.
`Collection` | `getRDFIndividuals(boolean onlyVisibleClasses)` Gets those Instances in the ontology that are instances of an RDFSNamedClass.
`RDFSNamedClass` | `getRDFListClass()` Gets the rdf:List class.
`RDFList` | `getRDFNil()` Gets the placeholder for empty rdf:Lists.
`Collection` | `getRDFProperties()` Gets a collection of all RDFProperties (or subclasses thereof).
`RDFProperty` | `getRDFProperty(String name)` A convenience method to access a slot as RDFProperty.
`RDFSNamedClass` | `getRDFPropertyClass()` Gets the rdf:Property metaclass.
`RDFResource` | `getRDFResource(String name)` Gets an RDFResource by its name.
`RDFResource` | `getRDFResourceAs(String name, Class javaInterface)` Combines the calls `getRDFResource(name).as(javaInterface)`.
`RDFResource` | `getRDFResourceByBrowserText(String text)` Gets the first resource that has a given browser text.
`RDFResource` | `getRDFResourceByNameOrBrowserText(String text)` Gets the first instance that has a given name or browser text.
`int` | `getRDFResourceCount()` Gets the number of all RDFResources in this model.
`Collection` | `getRDFResources()` Gets a list of all RDFResources in this model.
`Collection` | `getRDFResourcesWithPropertyValue(RDFProperty property, Object value)` Gets all RDFResources that have a given value for a given property.
`RDFProperty` | `getRDFRestProperty()` Gets the rdf:rest property, which is used to describe the rest of an rdf:List.
`int` | `getRDFSClassCount()` Gets the number of rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes.
`Collection` | `getRDFSClasses()` Gets all rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes.
`OWLDatatypeProperty` | `getRDFSCommentProperty()`
`RDFSDatatype` | `getRDFSDatatypeByName(String name)` Gets an XML Schema Datatype using the prefix notation (e.g.
`RDFSDatatype` | `getRDFSDatatypeByURI(String uri)` Gets an XML Schema Datatype by its URI (e.g.
`RDFSDatatypeFactory` | `getRDFSDatatypeFactory()`
`RDFSDatatype` | `getRDFSDatatypeOfValue(Object valueOrRDFSLiteral)` Gets the RDFSDatatype of a given primitive value, which can be either a standard value (e.g.
`Collection<RDFSDatatype>` | `getRDFSDatatypes()` Gets a Collection of the (named) RDF/XML Schema datatypes.
`RDFProperty` | `getRDFSDomainProperty()` Gets the rdfs:domain property.
`RDFProperty` | `getRDFSIsDefinedByProperty()`
`RDFProperty` | `getRDFSLabelProperty()`
`RDFSNamedClass` | `getRDFSNamedClass(String name)`
`RDFSNamedClass` | `getRDFSNamedClassClass()` Gets the rdfs:Class metaclass
`RDFProperty` | `getRDFSRangeProperty()` Gets the rdfs:range property.
`RDFProperty` | `getRDFSSubClassOfProperty()`
`RDFProperty` | `getRDFSSubPropertyOfProperty()` Gets the property rdfs:subPropertyOf
`RDFProperty` | `getRDFTypeProperty()` Gets the rdf:type property.
`RDFUntypedResource` | `getRDFUntypedResource(String uri, boolean createOnDemand)` Gets an RDFUntypedResource for a given string.
`RDFSNamedClass` | `getRDFUntypedResourcesClass()` Gets the internal type of all untyped resources.
`RDFSDatatype` | `getRDFXMLLiteralType()` Gets the resource representing the datatype rdf:XMLLiteral.
`RepositoryManager` | `getRepositoryManager()`
`String` | `getResourceNameForURI(String uri)` Gets the name of a Frame by converting a URI.
`Collection` | `getResourceNameMatches(String nameExpression, int maxMatches)` Gets all RDFResources that have a matching name (possibly using wildcards).
`Collection` | `getResourcesWithPrefix(String prefix)` Gets all resource in this that have a given prefix.
`Collection` | `getSearchSynonymProperties()` Gets the slots that are used for matching when the user searches for a frame in the search fields.
`RDFProperty[]` | `getSystemAnnotationProperties()` Gets the pre-defined system annotation slots such as rdfs:comment.
`SWRLSystemFrames` | `getSystemFrames()`
`TaskManager` | `getTaskManager()` Gets the `TaskManager` that can be used for executing tasks that take a long time.
`String` | `getTodoAnnotationPrefix()` Gets the prefix used to distinguish "to-do" list items from other values of the to-do list property.
`OWLDatatypeProperty` | `getTodoAnnotationProperty()` Gets the (annotation) slot that is used to represent "to-do" list items in this knowledge base.
`TripleStoreModel` | `getTripleStoreModel()`
`String` | `getUniqueFrameName(String baseURI)` Generates a unique URI for a Frame given a base URI.
`String` | `getURIForResourceName(String resourceName)`
`String[]` | `getUsedLanguages()` Gets the list of language prefixes defined by the user in the owl:Ontology.
`Collection` | `getUserDefinedOWLDatatypeProperties()` Gets a Collection of all user-defined OWLDatatypeProperties in this knowledge base.
`Collection` | `getUserDefinedOWLNamedClasses()` Gets a Collection of all user-defined named OWL classes in this knowledge base.
`Collection` | `getUserDefinedOWLObjectProperties()` Gets a Collection of all user-defined OWLObjectProperties in this knowledge base.
`Collection` | `getUserDefinedOWLProperties()` Gets a Collection of all user-defined OWLProperties in this knowledge base.
`Collection` | `getUserDefinedRDFIndividuals(boolean onlyVisibleClasses)` Gets all non-system individuals in this OWLModel.
`Collection` | `getUserDefinedRDFProperties()` Gets all user-defined RDF properties in this OWLModel.
`Collection` | `getUserDefinedRDFSNamedClasses()` Gets all user-defined RDFSClses including the OWLNamedClses.
`String` | `getValueTypeURI(edu.stanford.smi.protege.model.ValueType valueType)` The inverse of `getValueType`.
`List` | `getVisibleResources(Iterator iterator)` Gets a list of resources, only containing the visible entries of a given Iterator.
`Collection` | `getVisibleUserDefinedOWLProperties()` Gets a Collection of all user-defined, visible OWLProperties in this knowledge base.
`Collection` | `getVisibleUserDefinedRDFProperties()` Gets all visible, user-defined RDF properties in this knowledge base.
`WriterSettings` | `getWriterSettings()`
`RDFSDatatype` | `getXSDanyURI()` Gets the default datatype for URI values.
`RDFSDatatype` | `getXSDbase64Binary()` Gets the default datatype for byte[] values.
`RDFSDatatype` | `getXSDboolean()` Gets the default datatype for boolean values.
`RDFSDatatype` | `getXSDbyte()` Gets the default datatype for byte values.
`RDFSDatatype` | `getXSDdate()` Gets the default datatype for date values.
`RDFSDatatype` | `getXSDdateTime()` Gets the default datatype for timestamp values.
`RDFSDatatype` | `getXSDdecimal()` Gets the default datatype for BigDecimal values.
`RDFSDatatype` | `getXSDdouble()` Gets the default datatype for double values.
`RDFSDatatype` | `getXSDduration()` Gets the datatype for duration values.
`RDFSDatatype` | `getXSDfloat()` Gets the default datatype for float values.
`RDFSDatatype` | `getXSDint()` Gets the default datatype for integer values.
`RDFSDatatype` | `getXSDinteger()` Gets the default datatype for BigInteger values.
`RDFSDatatype` | `getXSDlong()` Gets the default datatype for long values.
`RDFSDatatype` | `getXSDNonNegativeInteger()` Gets the default datatype for non-negative values
`RDFSDatatype` | `getXSDshort()` Gets the default datatype for short values.
`RDFSDatatype` | `getXSDstring()` Gets the default datatype for string values.
`RDFSDatatype` | `getXSDtime()` Gets the default datatype for time values.
`boolean` | `isAnonymousResource(RDFResource resource)` Deprecated.
`boolean` | `isAnonymousResourceName(String name)`
`boolean` | `isExpandShortNameInMethods()`
`boolean` | `isOWLSystemFrame(edu.stanford.smi.protege.model.Frame frame)` Deprecated.
`boolean` | `isProtegeMetaOntologyImported()`
`boolean` | `isValidPropertyValue(RDFResource subject, RDFProperty predicate, Object value)` Checks if a certain object would be a valid value for a given subject/property pair.
`boolean` | `isValidResourceName(String name, RDFResource resource)` Checks whether a given String would be a valid name for a given resource.
`Iterator` | `listOWLAnonymousClasses()` Gets an Iterator of all OWLAnonymousClasses in the ontology.
`Iterator` | `listOWLNamedClasses()` Gets an Iterator on all OWLNamedClasses in the ontology, including system classes.
`Iterator` | `listRDFProperties()` Gets an Iterator on all RDFProperties in the model, including system properties.
`Iterator` | `listRDFSNamedClasses()` Gets an Iterator on all RDFSNamedClasses in the ontology, including system classes.
`Iterator` | `listReferences(Object object, int maxResults)` Finds all references to a given object, i.e.
`Iterator` | `listSubjects(RDFProperty property)` The the subjects of all triples where a given property has any value.
`void` | `removeClassListener(ClassListener listener)` Removes a ClassListener that was previously added.
`void` | `removeModelListener(ModelListener listener)` Removes a ModelListener that was previously added.
`void` | `removePropertyListener(PropertyListener listener)` Removes a PropertyListener that was previously added.
`void` | `removePropertyValueListener(PropertyValueListener listener)` Removes a PropertyValueListener previously added.
`void` | `removeResourceListener(ResourceListener listener)` Removes a ResourceListener that was previously added.
`void` | `resetJenaModel()` resets the Jena model so that it can be rebuilt.
`void` | `resetOntologyCache()`
`boolean` | `setDispatchEventsEnabled(boolean enabled)`
`void` | `setExpandShortNameInMethods(boolean expandShortNameInMethods)`
`boolean` | `setGenerateEventsEnabled(boolean enabled)`
`void` | `setOWLClassDisplay(OWLClassDisplay display)` Sets the OWLClassDisplay to change the default display of classes.
`void` | `setOWLJavaFactory(OWLJavaFactory factory)` Sets the OWLJavaFactory for this OWLModel.
`void` | `setOWLProject(OWLProject owlProject)` Sets the associated OWLProject.
`void` | `setPropertyValueValidator(PropertyValueValidator validator)` Sets the validator that shall be used in future calls of the validation methods.
`void` | `setSearchSynonymProperties(Collection properties)`
`void` | `setTaskManager(TaskManager taskManager)` Sets the TaskManager.
`void` | `setWriterSettings(WriterSettings writerSettings)`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addKnowledgeBaseListener, addOwnSlotValue, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, areValidOwnSlotValues, clearAllListeners, containsFrame, createCls, createCls, createCls, createCls, createFacet, createFacet, createFacet, createInstance, createInstance, createInstance, createInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, deleteCls, deleteFacet, deleteFrame, deleteInstance, deleteSlot, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getBrowserText, getCls, getClsCount, getClses, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDocumentation, getDomain, getFacet, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithValue, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isSlotMetaCls, isValidFrameName, isValidOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateSlot, removeDirectType, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectOwnSlotValues, setDirectType, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDocumentation, setDocumentation, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setInverseSlot, setJournalingEnabled, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setName, setNextFrameNumber, setOwnSlotValues, setPollForEvents, setProject, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setUndoEnabled, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling`

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`addJavaLoadPackage, addServerProjectListener, addTransactionListener, assertFrameName, beginTransaction, beginTransaction, commitTransaction, createInstance, createUniqueFrameName, endTransaction, endTransaction, executeQuery, flushCache, flushEvents, getBuildString, getClientInformation, getClsesWithMatchingBrowserText, getEventsEnabled, getKnowledgeBaseFactory, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getSimpleInstance, hasChanged, isClosed, isUndoEnabled, moveDirectOwnSlotValue, moveDirectType, removeServerProjectListener, removeTransactionListener, rename, rollbackTransaction, setClientInformation, setEventsEnabled, setModificationRecordUpdatingEnabled`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTestManager
`addOWLTest, getOWLTests, isAutoRepairEnabled, isOWLTestGroupEnabled, removeOWLTest, setAutoRepairEnabled, setOWLTestGroupEnabled`

Method Detail

### addClassListener

    void addClassListener(ClassListener listener)

  Adds a ClassListener to receive events about any class in this OWLModel.

  Parameters:
    `listener` - the ClassListener to add (currently must be a ClassAdapter)
  See Also:
    `removeClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### addModelListener

    void addModelListener(ModelListener listener)

  Adds a ModelListener to receive notifications when resources have been created, renamed or deleted.

  Parameters:
    `listener` - the ModelListener to add (currently must be a ModelAdapter)
  See Also:
    `removeModelListener(edu.stanford.smi.protegex.owl.model.event.ModelListener)`

### addPropertyListener

    void addPropertyListener(PropertyListener listener)

  Adds a PropertyListener to receive events about any property in this OWLModel.

  Parameters:
    `listener` - the PropertyListener to add (currently must be a PropertyAdapter)
  See Also:
    `removePropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### addPropertyValueListener

    void addPropertyValueListener(PropertyValueListener listener)

  Adds a PropertyValueListener to receive events about any property value change in this OWLModel. Note that the number of events is most likely very large and installing such a global listener may slow down the system significantly.

  Parameters:
    `listener` - the PropertyValueListener to add
  See Also:
    `removePropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### asRDFSLiteral

    RDFSLiteral asRDFSLiteral(Object value)

  Gets an RDFSLiteral for a given value. If the value is already an RDFSLiteral, then the method will return it. If the value is a String, Float, Integer or Boolean, then the method will wrap it into a corresponding RDFSLiteral. If the object is null, then the method return null. Objects of other types are not permitted for this method. This is a convenience method to post-process those calls that return either an Object or an RDFSLiteral, if only an RDFSLiteral is desired.

  Parameters:
    `value` - a primitive value or an RDFSLiteral
  Returns:
    an RDFSLiteral of the same value or null if value is null

### asRDFObject

    RDFObject asRDFObject(Object object)

  Gets an `RDFObject` for a given value. If the value is already an RDFObject then the method will simply return it. If the value is already an RDFSLiteral, then the method will return it. If the value is a String, Float, Integer or Boolean, then the method will wrap it up into a corresponding RDFSLiteral which will be returned as an RDFObject. If the object is an RDFResourece then the method will return it. If the object is `null` the the method will return `null`.

  Parameters:
    `object` - the object to convert
  Returns:
    an RDFObject with the same value

### asRDFSLiterals

    List asRDFSLiterals(Collection values)

### addResourceListener

    void addResourceListener(ResourceListener listener)

  Adds a ResourceListener to receive events about any RDFResource in this OWLModel.

  Parameters:
    `listener` - the ResourceListener to add (currently must be ResourceAdapter)
  See Also:
    `removeResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### createAnnotationProperty

    RDFProperty createAnnotationProperty(String name)

  Creates a simple owl:AnnotationProperty.

  Parameters:
    `name` - - the name of the annotation property. If name is null, a new name will be generated
  Returns:
    the owl:AnnotationProperty

### createAnnotationOWLDatatypeProperty

    OWLDatatypeProperty createAnnotationOWLDatatypeProperty(String name)

### createAnnotationOWLObjectProperty

    OWLObjectProperty createAnnotationOWLObjectProperty(String name)

### createNewResourceName

    String createNewResourceName(String partialLocalName)

  Creates a unique name from a given local name prefix. For example, if you pass in "Class", then the method will return "Class_42" or "travel:Class_42" depending on the default namespace of the currently active TripleStore. This method can be used to create new names for classes, properties etc.

  Parameters:
    `partialLocalName` - the partial name
  Returns:
    a unique name for a new resource

### getUniqueFrameName

    String getUniqueFrameName(String baseURI)

  Generates a unique URI for a Frame given a base URI. For example, if you pass in "http://a.com/MyOntology#Class" the method will generate the unique URI "http://a.com/MyOntology#Class_42" or the like.

  Parameters:
    `baseURI` - a partial URI
  Returns:
    a unique URI for a new resource

### createOWLAllDifferent

    OWLAllDifferent createOWLAllDifferent()

### createOWLAllValuesFrom

    OWLAllValuesFrom createOWLAllValuesFrom()

### createOWLAllValuesFrom

    OWLAllValuesFrom createOWLAllValuesFrom(RDFProperty property,
                                            RDFResource filler)

### createOWLAllValuesFrom

    OWLAllValuesFrom createOWLAllValuesFrom(RDFProperty property,
                                            RDFSLiteral[] oneOfValues)

### createOWLCardinality

    OWLCardinality createOWLCardinality()

### createOWLCardinality

    OWLCardinality createOWLCardinality(RDFProperty property,
                                        int value)

### createOWLCardinality

    OWLCardinality createOWLCardinality(RDFProperty property,
                                        int value,
                                        RDFSClass qualifier)

### createOWLComplementClass

    OWLComplementClass createOWLComplementClass()

### createOWLComplementClass

    OWLComplementClass createOWLComplementClass(RDFSClass complement)

### createOWLDataRange

    OWLDataRange createOWLDataRange()

  Creates an empty owl:DataRange.

  Returns:
    a new empty owl:DataRange

### createOWLDataRange

    OWLDataRange createOWLDataRange(RDFSLiteral[] values)

  Creates a new owl:DataRange consisting of a given set of values. This will create an rdf:List to store the values on the fly

  Parameters:
    `values` - the values in the owl:oneOf list in the owl:DataRange
  Returns:
    a new OWLDataRange

### createOWLDatatypeProperty

    OWLDatatypeProperty createOWLDatatypeProperty(String name)

  Creates a new OWLDatatypeProperty (with default settings, e.g. no range).

  Parameters:
    `name` - the name of the new property
  Returns:
    a new OWLDatatypeProperty

### createOWLDatatypeProperty

    OWLDatatypeProperty createOWLDatatypeProperty(String name,
                                                  OWLNamedClass metaclass)

  Creates a new OWLDatatypeProperty with a given rdf:type as metaclass.

  Parameters:
    `name` - the name of the new property
    `metaclass` - the rdf:type of the property
  Returns:
    a new OWLDatatypeProperty, instance of the metaclass

### createOWLDatatypeProperty

    OWLDatatypeProperty createOWLDatatypeProperty(String name,
                                                  RDFSDatatype datatype)

  Creates a new OWLDatatypeProperty with a given RDFSDatatype as range.

  Parameters:
    `name` - the name of the new property
    `datatype` - the (initial) range (e.g. `getXSDint()`
  Returns:
    a new OWLDatatypeProperty

### createOWLDatatypeProperty

    OWLDatatypeProperty createOWLDatatypeProperty(String name,
                                                  RDFSLiteral[] dataRangeLiterals)

### createOWLEnumeratedClass

    OWLEnumeratedClass createOWLEnumeratedClass()

### createOWLEnumeratedClass

    OWLEnumeratedClass createOWLEnumeratedClass(Collection instances)

### createOWLHasValue

    OWLHasValue createOWLHasValue()

### createOWLHasValue

    OWLHasValue createOWLHasValue(RDFProperty property,
                                  Object value)

  Creates a new OWLHasValue for a given Slot.

  Parameters:
    `property` - the restricted Slot
    `value` - an Instance, Boolean, Integer, Double, or String
  Returns:
    a new OWLHasValue

### createOWLIntersectionClass

    OWLIntersectionClass createOWLIntersectionClass()

### createOWLIntersectionClass

    OWLIntersectionClass createOWLIntersectionClass(Collection clses)

### createOWLMaxCardinality

    OWLMaxCardinality createOWLMaxCardinality()

### createOWLMaxCardinality

    OWLMaxCardinality createOWLMaxCardinality(RDFProperty property,
                                              int value)

### createOWLMaxCardinality

    OWLMaxCardinality createOWLMaxCardinality(RDFProperty property,
                                              int value,
                                              RDFSClass qualifier)

### createOWLMinCardinality

    OWLMinCardinality createOWLMinCardinality()

### createOWLMinCardinality

    OWLMinCardinality createOWLMinCardinality(RDFProperty property,
                                              int value)

### createOWLMinCardinality

    OWLMinCardinality createOWLMinCardinality(RDFProperty property,
                                              int value,
                                              RDFSClass qualifier)

### createOWLNamedClass

    OWLNamedClass createOWLNamedClass(String name)

### createOWLNamedClass

    OWLNamedClass createOWLNamedClass(String name,
                                      boolean loadDefaults)

### createOWLNamedClass

    OWLNamedClass createOWLNamedClass(String name,
                                      OWLNamedClass metaclass)

  Creates a new named OWL class with a given metaclass, which must be a subclass of owl:Class.

  Parameters:
    `name` - the name of the new class
    `metaclass` - the metaclass (subclass of owl:Class)
  Returns:
    the new OWLNamedClass

### createOWLNamedSubclass

    OWLNamedClass createOWLNamedSubclass(String name,
                                         OWLNamedClass superclass)

### createOWLObjectProperty

    OWLObjectProperty createOWLObjectProperty(String name)

  Creates a new OWLObjectProperty.

  Parameters:
    `name` - the name of the new property
  Returns:
    a new owl:ObjectProperty with the given name

### createOWLObjectProperty

    OWLObjectProperty createOWLObjectProperty(String name,
                                              OWLNamedClass metaclass)

### createOWLObjectProperty

    OWLObjectProperty createOWLObjectProperty(String name,
                                              Collection allowedClasses)

### createOWLOntology

    @Deprecated
    OWLOntology createOWLOntology(String prefix)
                                  throws AlreadyImportedException

  Deprecated. developers should not need to create an owl ontology. There is a rename method in OWLUtils.

  Creates a new OWLOntology for a given prefix. Note that the prefix of the new ontology must have been defined before. The new OWLOntology will get the internal name `prefix + ":"`.

  Parameters:
    `prefix` - a valid namespace prefix
  Returns:
    the new OWLOntology
  Throws:
    `AlreadyImportedException`

### createOWLOntology

    @Deprecated
    OWLOntology createOWLOntology(String name,
                                             String uri)
                                  throws AlreadyImportedException

  Deprecated. use the other createOWLOntology method instead

  Throws:
    `AlreadyImportedException`
  See Also:
    `createOWLOntology(String)`

### createOWLSomeValuesFrom

    OWLSomeValuesFrom createOWLSomeValuesFrom()

### createOWLSomeValuesFrom

    OWLSomeValuesFrom createOWLSomeValuesFrom(RDFProperty property,
                                              RDFSLiteral[] oneOfValues)

### createOWLSomeValuesFrom

    OWLSomeValuesFrom createOWLSomeValuesFrom(RDFProperty property,
                                              RDFResource filler)

### createOWLUnionClass

    OWLUnionClass createOWLUnionClass()

### createOWLUnionClass

    OWLUnionClass createOWLUnionClass(Collection operandClasses)

### createRDFExternalResource

    @Deprecated
    RDFExternalResource createRDFExternalResource(String uri)

  Deprecated. use createRDFUntypedResource instead

### createRDFList

    RDFList createRDFList()

  Creates a new empty rdf:List

  Returns:
    a new RDFList

### createRDFList

    RDFList createRDFList(Iterator values)

  Creates a new rdf:List.

  Parameters:
    `values` - an Iterator on the initial values of this list.
  Returns:
    a new RDFList.

### createRDFSClassFromExpression

    RDFSClass createRDFSClassFromExpression(String parsableExpression)

  Gets or creates an RDFSClass based on a parsable expression. If the expression is parsed into an anonymous class, then the anonymous class will be created. If the expression is just the name of a named class, then the named class will be returned. Note that the expression must be parsable or an null will be returned.

  Parameters:
    `parsableExpression` - a parsable expression such as !(Person | Animal)
  Returns:
    an RDFSClass

### createRDFSDatatype

    RDFSDatatype createRDFSDatatype(String name)

### createRDFSLiteral

    RDFSLiteral createRDFSLiteral(Object value)

  Creates a new RDFSLiteral with a default datatype derived from the value.

  Parameters:
    `value` - the value (not null)
  Returns:
    a new RDFSLiteral

### createRDFSLiteral

    RDFSLiteral createRDFSLiteral(String lexicalValue,
                                  RDFSDatatype datatype)

  Creates a new RDFSLiteral with a given datatype.

  Parameters:
    `lexicalValue` - the value in the literal (not null)
    `datatype` - the RDFSDatatype of the value
  Returns:
    a new RDFSLiteral

### createRDFSLiteral

    RDFSLiteral createRDFSLiteral(String value,
                                  String language)

  Creates a new string-typed literal with a given language.

  Parameters:
    `value` - the value in the literal (not null)
    `language` - the language tag of the value (possibly null)
  Returns:
    a new RDFSLiteral

### createRDFSLiteralOrString

    Object createRDFSLiteralOrString(String value,
                                     String language)

  Creates a new string-typed literal with a given language. If the language is null or empty, then this returns the value as a string only.

  Parameters:
    `value` - the value in the literal (not null)
    `language` - the language tag of the value (possibly null)
  Returns:
    a new RDFSLiteral

### createRDFSNamedSubclass

    RDFSNamedClass createRDFSNamedSubclass(String name,
                                           RDFSNamedClass superclass)

  Creates a new named OWL class which has exactly a given superclass. This is a convenience method which removes the need to remove the root class.

  Parameters:
    `name` - the name of the new class
    `superclass` - the superclass it shall have
  Returns:
    the new OWLNamedClass

### createRDFUntypedResource

    RDFUntypedResource createRDFUntypedResource(String uri)

  Creates an untyped rdf:Resource for a given URI. The caller must make sure that no resource with the same URI already exists.

  Parameters:
    `uri` - the URI to create an untyped resource for
  Returns:
    the new RDFUntypedResource

### createSubclass

    RDFSNamedClass createSubclass(String name,
                                  RDFSNamedClass superclass)

  Creates a subclass of a superclass. The new class will have the same rdf:type as its parent.

  Parameters:
    `name` - the name of the new subclass or null for a default name
    `superclass` - the superclass
  Returns:
    the new subclass

### createSubclass

    RDFSNamedClass createSubclass(String name,
                                  Collection superclasses)

  Creates a subclass of a number of superclasses. The new class will have the same rdf:type as its first parent

  Parameters:
    `name` - the name of the new subclass or null for a default name
    `superclasses` - a Collection of RDFSClasses
  Returns:
    the new subclass

### createSubproperty

    RDFProperty createSubproperty(String name,
                                  RDFProperty superproperty)

  Creates a new property as a subproperty of an existing property. The new property will get the same type as the superproperty.

  Parameters:
    `name` - the name of the new subproperty, or null for a default name
    `superproperty` - the superproperty
  Returns:
    a new (sub-) property

### createRDFSNamedClass

    RDFSNamedClass createRDFSNamedClass(String name)

### createRDFSNamedClass

    RDFSNamedClass createRDFSNamedClass(String name,
                                        boolean loadDefaults)

### createRDFSNamedClass

    RDFSNamedClass createRDFSNamedClass(String name,
                                        Collection parents,
                                        RDFSClass rdfType)

  Creates an RDFSNamedClass (or perhaps an OWLNamedClass) with given name, superclasses and rdf:type.

  Parameters:
    `name` - the name of the new class
    `parents` - the parents
    `rdfType` - the rdf:type of the new class
  Returns:
    the new class

### createRDFProperty

    RDFProperty createRDFProperty(String name)

### createTriple

    Triple createTriple(RDFResource subject,
                        RDFProperty predicate,
                        Object object)

  Creates a new Triple. This method should be used instead of creating an instance of DefaultTriple directly. The model is not changed at all by this.

  Parameters:
    `subject` - the subject of the Triple
    `predicate` - the predicate of the Triple
    `object` - the object of the Triple
  Returns:
    a new Triple

### executeSPARQLQuery

    QueryResults executeSPARQLQuery(String partialQueryText)
                                    throws Exception

  Executes a SPARQL query on this OWLModel. The method will internally add prefix declarations according to the current namespace declarations. The resulting QueryResults object can be used to iterate over the results.

  Parameters:
    `partialQueryText` - the query text, typically beginning with "SELECT"
  Returns:
    a QueryResults object
  Throws:
    `Exception` - if the query string could not be handled

### getAllImports

    Set<String> getAllImports()

  Gets all (transitive) imports in this OWLModel.

  Returns:
    a Set of String URIs of the import statements

### getAnonymousRootCls

    @Deprecated
    edu.stanford.smi.protege.model.Cls getAnonymousRootCls()

  Deprecated. internal Protege detail

### getChangedInferredClasses

    Collection getChangedInferredClasses()

  Gets all named classes where the classification status is OWLNames.CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED, i.e. all classes that were identified to move by the most recent invokation of a classifier.

  Returns:
    a Collection of OWLNamedClass instances

### getCommonSuperclasses

    Set<RDFSNamedClass> getCommonSuperclasses(Collection<RDFSNamedClass> classes)

  Gets the most specific common named superclasses of a given collection of named classes.

  Parameters:
    `classes` - the RDFSNamedClasses to get the superclass of (at least one)
  Returns:
    the most specific common superclass of all classes, e.g. owl:Thing

### getCommonSuperclass

    RDFSNamedClass getCommonSuperclass(Collection<RDFSNamedClass> classes)

  Chooses a most specific common named superclass of a given collection of named classes.

  Parameters:
    `classes` - the RDFSNamedClasses to get the superclass of (at least one)
  Returns:
    the most specific common superclass of all classes, e.g. owl:Thing

### getDefaultLanguage

    String getDefaultLanguage()

  Gets the default language specified by the user through an annotation property at owl:Ontology.

  Returns:
    the default language or null for none

### getDefaultOWLOntology

    OWLOntology getDefaultOWLOntology()

### getDispatchEventsEnabled

    boolean getDispatchEventsEnabled()

  Specified by:
    `getDispatchEventsEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `setDispatchEventsEnabled(boolean)`

### getDomainlessProperties

    Collection getDomainlessProperties()

  Gets all properties that have owl:Thing as their domain. This includes all properties that have no domain statement at all.

  Returns:
    a Collection of RDFProperties

### getFloatDatatypes

    Set getFloatDatatypes()

  Gets all float XML Schema datatypes, including xsd:float etc. For these datatypes, the method RDFSLiteral.getFloat() is valid.

  Returns:
    the float types

### getFrameStoreManager

    OWLFrameStoreManager getFrameStoreManager()

  Specified by:
    `getFrameStoreManager` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getGenerateEventsEnabled

    boolean getGenerateEventsEnabled()

  Specified by:
    `getGenerateEventsEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `setGenerateEventsEnabled(boolean)`

### getIntegerDatatypes

    Set getIntegerDatatypes()

  Gets all integer XML Schema datatypes, including xsd:int etc. For these datatypes, the method RDFSLiteral.getInt() is valid.

  Returns:
    the integer types

### getJenaModel

    com.hp.hpl.jena.rdf.model.Model getJenaModel()

  Gets a (read-only) Jena Model serving as a live view upon the Protege TripleStores.

  Returns:
    a Jena Model

### getOntModel

    com.hp.hpl.jena.ontology.OntModel getOntModel()

### getOWLDifferentFromProperty

    RDFProperty getOWLDifferentFromProperty()

### getOWLDisjointWithProperty

    RDFProperty getOWLDisjointWithProperty()

### getInconsistentClasses

    Collection getInconsistentClasses()

  Gets all classes which have been marked as inconsistent.

  Returns:
    a Collection of NamedClses

### getOWLAllDifferentClass

    RDFSNamedClass getOWLAllDifferentClass()

### getOWLAllDifferents

    Collection getOWLAllDifferents()

  Gets a collection of all OWLAllDifferents in the knowlegde base.

  Returns:
    a collection of 'em

### getOWLAnnotationProperties

    Collection<RDFProperty> getOWLAnnotationProperties()

  Gets all annotation properties.

  Returns:
    the annotation properties

### getOWLAnnotationPropertyClass

    RDFSNamedClass getOWLAnnotationPropertyClass()

### getOWLClassParser

    OWLClassParser getOWLClassParser()

  Gets the OWLClassParser for the current class expression syntax.

  Returns:
    the currently used parser

### getOWLClassDisplay

    OWLClassDisplay getOWLClassDisplay()

  Gets the currently used renderer for classes into display strings.

  Returns:
    the OWLClassDisplay
  See Also:
    `setOWLClassDisplay(edu.stanford.smi.protegex.owl.model.classdisplay.OWLClassDisplay)`

### getOWLDatatypeProperty

    OWLDatatypeProperty getOWLDatatypeProperty(String name)

### getOWLDatatypePropertyClass

    OWLNamedClass getOWLDatatypePropertyClass()

  Gets the standard metaclass of all datatype slots/properties.

  Returns:
    the metaclass

### getOWLDeprecatedClassClass

    RDFSNamedClass getOWLDeprecatedClassClass()

### getOWLEquivalentClassProperty

    RDFProperty getOWLEquivalentClassProperty()

### getOWLEquivalentPropertyProperty

    RDFProperty getOWLEquivalentPropertyProperty()

### getOWLFunctionalPropertyClass

    RDFSNamedClass getOWLFunctionalPropertyClass()

### getOWLInverseFunctionalPropertyClass

    RDFSNamedClass getOWLInverseFunctionalPropertyClass()

### getOWLOneOfProperty

    RDFProperty getOWLOneOfProperty()

  Gets the owl:oneOf property.

  Returns:
    owl:oneOf

### getOWLProject

    OWLProject getOWLProject()

  Gets the associated OWLProject, which can be used to store project-specific settings.

  Returns:
    the OWLProject (never null)

### getOWLThingClass

    OWLNamedClass getOWLThingClass()

  Gets the root class of the OWL class hierarchy (owl:Thing).

  Returns:
    owl:Thing

### getOWLValuesFromProperty

    RDFProperty getOWLValuesFromProperty()

  Gets the owl:valuesFrom property (used for qualified cardinality restrictions.

  Returns:
    the owl:valuesFrom property

### getTaskManager

    TaskManager getTaskManager()

  Gets the `TaskManager` that can be used for executing tasks that take a long time.

### getProtegeAllowedParentProperty

    RDFProperty getProtegeAllowedParentProperty()

  Gets the property protege:allowedParent (if it exists)

  Returns:
    the property or null

### getProtegeClassificationStatusProperty

    RDFProperty getProtegeClassificationStatusProperty()

  Gets the property that is used internally to store the classification status of a class.

  Returns:
    the protege:classificationStatus property

### getProtegeInferredSubclassesProperty

    RDFProperty getProtegeInferredSubclassesProperty()

### getProtegeInferredSuperclassesProperty

    RDFProperty getProtegeInferredSuperclassesProperty()

### getRepositoryManager

    RepositoryManager getRepositoryManager()

### getRDFExternalResource

    @Deprecated
    RDFExternalResource getRDFExternalResource(String uri)

  Deprecated. use getRDFUntypedResource instead

### getRDFExternalResourceClass

    @Deprecated
    RDFSClass getRDFExternalResourceClass()

  Deprecated. use getRDFUntypedResourcesClass

  See Also:
    `getRDFUntypedResourcesClass()`

### getRDFFirstProperty

    RDFProperty getRDFFirstProperty()

  Gets the rdf:first property.

  Returns:
    rdf:first

### getRDFResource

    RDFResource getRDFResource(String name)

  Gets an RDFResource by its name.

  Parameters:
    `name` - the name of the resource
  Returns:
    an RDFResource or null if none was found under that name

### getRDFResourceAs

    RDFResource getRDFResourceAs(String name,
                                 Class javaInterface)

  Combines the calls `getRDFResource(name).as(javaInterface)`. Warning: No checks are done.

  Parameters:
    `name` - the name of the resource to get
    `javaInterface` - the target type of the result
  Returns:
    an instance of the Java interface representing the resource, or null
  See Also:
    `getRDFResource(java.lang.String)`, `RDFResource.as(java.lang.Class)`

### getRDFResourceByBrowserText

    RDFResource getRDFResourceByBrowserText(String text)

  Gets the first resource that has a given browser text. This call is extremely inefficient, because it might iterate through all resources in the knowledge base.

  Parameters:
    `text` - the browser text
  Returns:
    the Instance or null

### getRDFResourceByNameOrBrowserText

    RDFResource getRDFResourceByNameOrBrowserText(String text)

  Gets the first instance that has a given name or browser text. This call is much faster than the getRDFResourceByBrowserText if the default browser key (:NAME) is used.

  Parameters:
    `text` -
  Returns:
    the Instance or null

### getRDFSClassCount

    int getRDFSClassCount()

  Gets the number of rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes. This is equivalent to `getRDFSClasses().size()`.

  Returns:
    the number of classes

### getRDFSClasses

    Collection getRDFSClasses()

  Gets all rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes.

  Returns:
    a Collection of RDFSClass objects

### getRDFSDatatypeFactory

    RDFSDatatypeFactory getRDFSDatatypeFactory()

### getRDFSIsDefinedByProperty

    RDFProperty getRDFSIsDefinedByProperty()

### getRDFSLabelProperty

    RDFProperty getRDFSLabelProperty()

### getRDFResourceCount

    int getRDFResourceCount()

  Gets the number of all RDFResources in this model. This method is useful to estimate the number of iterations for an algorithm without accessing all resources. This is equivalent to `getRDFResources().size()`, but much more efficient than that.

  Returns:
    the number of RDFResources

### getRDFResources

    Collection getRDFResources()

  Gets a list of all RDFResources in this model.

  Returns:
    a Collection of RDFResource objects

### getRDFResourcesWithPropertyValue

    Collection getRDFResourcesWithPropertyValue(RDFProperty property,
                                                Object value)

  Gets all RDFResources that have a given value for a given property.

  Parameters:
    `property` - the RDFProperty
    `value` - the value (must match exactly)
  Returns:
    a Collection of RDFResources

### getRDFListClass

    RDFSNamedClass getRDFListClass()

  Gets the rdf:List class.

  Returns:
    rdf:List

### getRDFUntypedResource

    RDFUntypedResource getRDFUntypedResource(String uri,
                                             boolean createOnDemand)

  Gets an RDFUntypedResource for a given string. If no existing instance of this URI is found, the method can be instructed to create one.

  Parameters:
    `uri` - the URI to look up
    `createOnDemand` - true to have the system create one if it doesn't exist
  Returns:
    the RDFUntypedResource or null if none currently exists.

### getRDFUntypedResourcesClass

    RDFSNamedClass getRDFUntypedResourcesClass()

  Gets the internal type of all untyped resources.

  Returns:
    the class of untyped resources

### getResourceNameMatches

    Collection getResourceNameMatches(String nameExpression,
                                      int maxMatches)

  Gets all RDFResources that have a matching name (possibly using wildcards).

  Parameters:
    `nameExpression` - the name pattern
    `maxMatches` - the maximum number of hits to be returned

### getOWLCardinalityProperty

    RDFProperty getOWLCardinalityProperty()

### getOWLDataRangeClass

    RDFSNamedClass getOWLDataRangeClass()

  Gets the class owl:DataRange, which is used to represent enumerations of datatype values.

  Returns:
    owl:DataRange

### getOWLIntersectionOfProperty

    RDFProperty getOWLIntersectionOfProperty()

### getOWLJavaFactory

    OWLJavaFactory getOWLJavaFactory()

  Gets the OWLJavaFactory that is used to create the Java objects for ontology resources.

  Returns:
    the OWLJavaFactory
  See Also:
    `setOWLJavaFactory(edu.stanford.smi.protegex.owl.model.factory.OWLJavaFactory)`

### getOWLMaxCardinalityProperty

    RDFProperty getOWLMaxCardinalityProperty()

### getOWLMinCardinalityProperty

    RDFProperty getOWLMinCardinalityProperty()

### getOWLNamedClass

    OWLNamedClass getOWLNamedClass(String name)

  A convenience method which includes the typecast after `getCls()`. The invoker must make sure that the name really reflects a OWLNamedClass.

  Parameters:
    `name` - the name of the OWLNamedClass to get
  Returns:
    a OWLNamedClass

### getOWLNamedClassClass

    OWLNamedClass getOWLNamedClassClass()

  Gets the standard metaclass of all named classes.

  Returns:
    the metaclass owl:Class

### getMatchingResources

    Collection getMatchingResources(RDFProperty property,
                                    String matchString,
                                    int maxMatches)

  Gets all RDFResources that have a matching value for a given property.

  Parameters:
    `property` - the (string) property to compare to
    `matchString` - the match string (can include wild cards). The matching is case insensitive.
    `maxMatches` - the maximum number of matches (-1 for all matches, which can be a lot!)
  Returns:
    the matching RDFResources

### getNextAnonymousResourceName

    String getNextAnonymousResourceName()

  Gets the next name that can be used to create an "anonymous" instance. Anonymous resources don't exist in Protege, so we need to use naming conventions to mark those anonymous instances, which will then be converted back to real anonymous nodes in the OWL file (e.g. by the JenaCreator).

  Returns:
    a suitable name for an "anonymous" resource

### getOWLIndividual

    OWLIndividual getOWLIndividual(String name)

### getOWLNothing

    OWLNamedClass getOWLNothing()

  Gets the system class `owl:Nothing`, which represents the empty set for reasoners.

  Returns:
    the Nothing class

### getOWLObjectProperty

    OWLObjectProperty getOWLObjectProperty(String name)

### getOWLObjectPropertyClass

    OWLNamedClass getOWLObjectPropertyClass()

  Gets the standard metaclass of all object slots/properties.

  Returns:
    the metaclass

### getOWLOntologies

    Collection getOWLOntologies()

  Gets all OWLOntologies in the current model. This always includes the default ontology.

  Returns:
    a Collection of OWLOntologies
  See Also:
    `getDefaultOWLOntology()`

### getOWLOntologyByURI

    @Deprecated
    OWLOntology getOWLOntologyByURI(String uri)

  Deprecated. use #getOWLOntologyByURI(URI uri) DO NOT PASS IN THE URI OF AN UNRESOLVED IMPORT AS THIS WILL CAUSE A Class Cast Exception

### getOWLOntologyByURI

    RDFResource getOWLOntologyByURI(URI uri)

  Gets the OWLOntology with a given URI.

  Parameters:
    `uri` - the URI to look up
  Returns:
    the OWLOntology or OWLIndividual or null if it does not exist yet

### getOWLOntologyClass

    OWLNamedClass getOWLOntologyClass()

### getOWLOntologyProperties

    Collection getOWLOntologyProperties()

  Gets the owl:OntologyProperties defined in OWL. These are incompatibleWith etc.

  Returns:
    the Ontology properties

### getHeadFrameStore

    edu.stanford.smi.protege.model.framestore.FrameStore getHeadFrameStore()

  Provides low level access to some internal Protege detail - normally not needed. This call is preferred over getOWLFrameStore() whenever possible.

### getOWLFrameStore

    OWLFrameStore getOWLFrameStore()

  Provides low level access to some internal Protege detail - normally not needed.

### getOWLIndividuals

    Collection getOWLIndividuals()

  Gets those Instances in the ontology that are instances of a OWLNamedClass. This is equivalent to `getOWLIndividuals(false)`.

  Returns:
    the OWL instances

### getOWLIndividuals

    Collection getOWLIndividuals(boolean onlyVisibleClasses)

  Gets those Instances in the ontology that are instances of a OWLNamedClass.

  Parameters:
    `onlyVisibleClasses` - true to only return instanceso of visible classes
  Returns:
    the OWL instances

### getOWLInverseOfProperty

    RDFProperty getOWLInverseOfProperty()

### getOWLProperty

    OWLProperty getOWLProperty(String name)

  A convenience method including typecast.

  Parameters:
    `name` - the name of the property to get
  Returns:
    `(OWLProperty) getRDFProperty(name)`

### getOWLSystemResources

    Collection getOWLSystemResources()

  Gets a Collection of all system resources installed by the OWL Plugin. These are not editable and not included, but isSystem().

  Returns:
    a Collection of system resources

### getOWLValueType

    edu.stanford.smi.protege.model.ValueType getOWLValueType(String uri)

  Gets the Protege ValueType that represents a given URI string.

  Parameters:
    `uri` - the URI (e.g., "http://www.w3.org/2001/XMLSchema#float")
  Returns:
    the ValueType or null if uri is invalid

### getProtegeReadOnlyProperty

    RDFProperty getProtegeReadOnlyProperty()

  The Protege readOnly property has a special behavior required by NCI. First of all, it is only relevant for annotation properties. If we view a change to an annotation value as the removal of an annotation assertion axiom followed by adding a different annotation assertion axiom then the rules can be stated as 1. if p is a readOnly annotation property then a user is allowed to add an assertion 2. if p is a readOnly annotation property then a user is not allowed to remove an assertion

  Returns:
    the Slot ProtegeNames.READ_ONLY

### getRDFIndividual

    RDFIndividual getRDFIndividual(String name)

### getRDFIndividuals

    Collection getRDFIndividuals()

  Gets those Instances in the ontology that are instances of an RDFSNamedClass. This includes all OWL individuals.

  Returns:
    the RDF instances

### getRDFIndividuals

    Collection getRDFIndividuals(boolean onlyVisibleClasses)

  Gets those Instances in the ontology that are instances of an RDFSNamedClass.

  Parameters:
    `onlyVisibleClasses` - true to only return instances of visible classes.
  Returns:
    the RDF instances

### getRDFNil

    RDFList getRDFNil()

  Gets the placeholder for empty rdf:Lists.

  Returns:
    rdf:nil

### getRDFProperties

    Collection getRDFProperties()

  Gets a collection of all RDFProperties (or subclasses thereof).

  Returns:
    a Collection of RDFProperties

### getRDFProperty

    RDFProperty getRDFProperty(String name)

  A convenience method to access a slot as RDFProperty.

  Parameters:
    `name` - the name of the slot to get
  Returns:
    `(RDFProperty) getSlot(name)`

### getRDFPropertyClass

    RDFSNamedClass getRDFPropertyClass()

  Gets the rdf:Property metaclass.

  Returns:
    rdf:Property

### getRDFSDatatypeByName

    RDFSDatatype getRDFSDatatypeByName(String name)

  Gets an XML Schema Datatype using the prefix notation (e.g. "xsd:int").

  Parameters:
    `name` - the name of the datatype to get
  Returns:
    the RDFSDatatype

### getRDFSDatatypeByURI

    RDFSDatatype getRDFSDatatypeByURI(String uri)

  Gets an XML Schema Datatype by its URI (e.g. XSDDatatype.XSDint).

  Parameters:
    `uri` - the URI of the datatype to get
  Returns:
    the RDFSDatatype

### getRDFSDatatypeOfValue

    RDFSDatatype getRDFSDatatypeOfValue(Object valueOrRDFSLiteral)

  Gets the RDFSDatatype of a given primitive value, which can be either a standard value (e.g. Integer, Float), or an RDFSLiteral.

  Parameters:
    `valueOrRDFSLiteral` - the value object
  Returns:
    the RDFSDatatype of this value

### getRDFSDatatypes

    Collection<RDFSDatatype> getRDFSDatatypes()

  Gets a Collection of the (named) RDF/XML Schema datatypes.

  Returns:
    the datatype objects (instance of RDFSDatatype)

### getRDFSNamedClassClass

    RDFSNamedClass getRDFSNamedClassClass()

  Gets the rdfs:Class metaclass

  Returns:
    rdfs:Class

### getRDFSNamedClass

    RDFSNamedClass getRDFSNamedClass(String name)

### getRDFSCommentProperty

    OWLDatatypeProperty getRDFSCommentProperty()

### getRDFRestProperty

    RDFProperty getRDFRestProperty()

  Gets the rdf:rest property, which is used to describe the rest of an rdf:List.

  Returns:
    the rdf:rest property (never null)

### getOWLSomeValuesFromRestrictionClass

    RDFSNamedClass getOWLSomeValuesFromRestrictionClass()

  Gets the meta class that represents some values from restrictions.

  Returns:
    the class of all somevaluesfrom restrictions.

### getOWLRestrictionMetaclasses

    RDFSNamedClass[] getOWLRestrictionMetaclasses()

  Gets the metaclasses of the available OWLRestriction kinds.

  Returns:
    an Array of metaclasses

### getOWLRestrictionsOnProperty

    Collection getOWLRestrictionsOnProperty(RDFProperty property)

  Gets a Collection of all Restrictions that are defined on a given property.

  Parameters:
    `property` - the property to get all Restrictions for
  Returns:
    a Collection of OWLRestriction objects

### getOWLSameAsProperty

    RDFProperty getOWLSameAsProperty()

### getOWLUnionOfProperty

    RDFProperty getOWLUnionOfProperty()

### getOWLVersionInfoProperty

    RDFProperty getOWLVersionInfoProperty()

### getRDFSDomainProperty

    RDFProperty getRDFSDomainProperty()

  Gets the rdfs:domain property.

  Returns:
    rdfs:domain

### getRDFSRangeProperty

    RDFProperty getRDFSRangeProperty()

  Gets the rdfs:range property.

  Returns:
    rdfs:range

### getRDFSSubClassOfProperty

    RDFProperty getRDFSSubClassOfProperty()

### getRDFSSubPropertyOfProperty

    RDFProperty getRDFSSubPropertyOfProperty()

  Gets the property rdfs:subPropertyOf

  Returns:
    rdfs:subPropertyOf

### getResourceNameForURI

    String getResourceNameForURI(String uri)

  Gets the name of a Frame by converting a URI. The name in the format prefix:localName. If the namespace of the URI is the default namespace, then the prefix will be empty and the name will consist of only the local name.

  Parameters:
    `uri` - a fully qualified URI
  Returns:
    the name of the corresponding Frame

### getSearchSynonymProperties

    Collection getSearchSynonymProperties()

  Gets the slots that are used for matching when the user searches for a frame in the search fields. These are used in addition to the :NAME slot in the getFrameNameMatches() method.

  Returns:
    the collection of synonym slots (by default: an empty collection)

### getProtegeSubclassesDisjointProperty

    RDFProperty getProtegeSubclassesDisjointProperty()

  Returns:
    the Slot OWLNames.Slot.SUBCLASSES_DISJOINT

### getRDFTypeProperty

    RDFProperty getRDFTypeProperty()

  Gets the rdf:type property.

  Returns:
    rdf:type as an RDFProperty

### getSystemAnnotationProperties

    RDFProperty[] getSystemAnnotationProperties()

  Gets the pre-defined system annotation slots such as rdfs:comment.

  Returns:
    the system annotation slots

### getSystemFrames

    SWRLSystemFrames getSystemFrames()

  Specified by:
    `getSystemFrames` in interface `edu.stanford.smi.protege.model.KnowledgeBase`

### getTodoAnnotationPrefix

    String getTodoAnnotationPrefix()

  Gets the prefix used to distinguish "to-do" list items from other values of the to-do list property.

  Returns:
    the current prefix (as specified in an owl:Ontology annotation)

### getTodoAnnotationProperty

    OWLDatatypeProperty getTodoAnnotationProperty()

  Gets the (annotation) slot that is used to represent "to-do" list items in this knowledge base. This can be specified using the appropriate annotation value in the owl:Ontology.

  Returns:
    the current to-do slot (default: OWLNames.Slot.VERSION_INFO)

### getUsedLanguages

    String[] getUsedLanguages()

  Gets the list of language prefixes defined by the user in the owl:Ontology. This can be used to provide default values in language selection boxes.

  Returns:
    a list of language prefixes (e.g. ["de", "en", "fr"])

### getUserDefinedOWLProperties

    Collection getUserDefinedOWLProperties()

  Gets a Collection of all user-defined OWLProperties in this knowledge base.

  Returns:
    a Collection of OWLProperty objects

### getUserDefinedOWLObjectProperties

    Collection getUserDefinedOWLObjectProperties()

  Gets a Collection of all user-defined OWLObjectProperties in this knowledge base.

  Returns:
    a Collection of OWLObjectProperty objects.

### getUserDefinedOWLDatatypeProperties

    Collection getUserDefinedOWLDatatypeProperties()

  Gets a Collection of all user-defined OWLDatatypeProperties in this knowledge base.

  Returns:
    a Collection of OWLDatatypeProperty objects.

### getUserDefinedOWLNamedClasses

    Collection getUserDefinedOWLNamedClasses()

  Gets a Collection of all user-defined named OWL classes in this knowledge base. Note that this returns neither anonymous classes such as Restrictions nor system classes. like owl:Thing and owl:Nothing.

  Returns:
    a Collection of OWLNamedClass instances

### getUserDefinedRDFIndividuals

    Collection getUserDefinedRDFIndividuals(boolean onlyVisibleClasses)

  Gets all non-system individuals in this OWLModel.

  Parameters:
    `onlyVisibleClasses` - true to only return instances of visible classes
  Returns:
    a collection of RDFResources

### getUserDefinedRDFProperties

    Collection getUserDefinedRDFProperties()

  Gets all user-defined RDF properties in this OWLModel.

  Returns:
    a collection of RDFProperty instances

### getUserDefinedRDFSNamedClasses

    Collection getUserDefinedRDFSNamedClasses()

  Gets all user-defined RDFSClses including the OWLNamedClses.

  Returns:
    the user-defined RDFSNamedClasses

### getValueTypeURI

    String getValueTypeURI(edu.stanford.smi.protege.model.ValueType valueType)

  The inverse of `getValueType`.

  Parameters:
    `valueType` -
  Returns:
    the OWL URI of a given ValueType

### getVisibleUserDefinedOWLProperties

    Collection getVisibleUserDefinedOWLProperties()

  Gets a Collection of all user-defined, visible OWLProperties in this knowledge base.

  Returns:
    a Collection of OWLProperty objects

### getVisibleUserDefinedRDFProperties

    Collection getVisibleUserDefinedRDFProperties()

  Gets all visible, user-defined RDF properties in this knowledge base.

  Returns:
    a collection of RDFProperty instances

### getRDFXMLLiteralType

    RDFSDatatype getRDFXMLLiteralType()

  Gets the resource representing the datatype rdf:XMLLiteral.

  Returns:
    rdf:XMLLiteral

### getVisibleResources

    List getVisibleResources(Iterator iterator)

  Gets a list of resources, only containing the visible entries of a given Iterator.

  Parameters:
    `iterator` - an Iterator of RDFResources
  Returns:
    a sublist of iterator

### getXSDanyURI

    RDFSDatatype getXSDanyURI()

  Gets the default datatype for URI values.

  Returns:
    xsd:anyURI

### getXSDbase64Binary

    RDFSDatatype getXSDbase64Binary()

  Gets the default datatype for byte[] values.

  Returns:
    xsd:base64Binary

### getXSDboolean

    RDFSDatatype getXSDboolean()

  Gets the default datatype for boolean values.

  Returns:
    xsd:boolean

### getXSDbyte

    RDFSDatatype getXSDbyte()

  Gets the default datatype for byte values.

  Returns:
    xsd:byte

### getXSDdate

    RDFSDatatype getXSDdate()

  Gets the default datatype for date values.

  Returns:
    xsd:date

### getXSDdateTime

    RDFSDatatype getXSDdateTime()

  Gets the default datatype for timestamp values.

  Returns:
    xsd:dateTime

### getXSDdecimal

    RDFSDatatype getXSDdecimal()

  Gets the default datatype for BigDecimal values.

  Returns:
    xsd:decimal

### getXSDdouble

    RDFSDatatype getXSDdouble()

  Gets the default datatype for double values.

  Returns:
    xsd:double

### getXSDduration

    RDFSDatatype getXSDduration()

  Gets the datatype for duration values.

  Returns:
    xsd:duration

### getXSDfloat

    RDFSDatatype getXSDfloat()

  Gets the default datatype for float values.

  Returns:
    xsd:float

### getXSDint

    RDFSDatatype getXSDint()

  Gets the default datatype for integer values.

  Returns:
    xsd:int

### getXSDinteger

    RDFSDatatype getXSDinteger()

  Gets the default datatype for BigInteger values.

  Returns:
    xsd:integer

### getXSDlong

    RDFSDatatype getXSDlong()

  Gets the default datatype for long values.

  Returns:
    xsd:long

### getXSDNonNegativeInteger

    RDFSDatatype getXSDNonNegativeInteger()

  Gets the default datatype for non-negative values

### getXSDshort

    RDFSDatatype getXSDshort()

  Gets the default datatype for short values.

  Returns:
    xsd:short

### getXSDstring

    RDFSDatatype getXSDstring()

  Gets the default datatype for string values.

  Returns:
    xsd:string

### getXSDtime

    RDFSDatatype getXSDtime()

  Gets the default datatype for time values.

  Returns:
    xsd:time

### isAnonymousResource

    @Deprecated
    boolean isAnonymousResource(RDFResource resource)

  Deprecated.

  See Also:
    `RDFResource.isAnonymous()`

### isAnonymousResourceName

    boolean isAnonymousResourceName(String name)

### isOWLSystemFrame

    @Deprecated
    boolean isOWLSystemFrame(edu.stanford.smi.protege.model.Frame frame)

  Deprecated.

  Checks whether a given frame is one of the results of `getOWLSystemResources`.

  Parameters:
    `frame` - the Frame to check
  Returns:
    true if frame is one of the system frames

### isProtegeMetaOntologyImported

    boolean isProtegeMetaOntologyImported()

### isValidPropertyValue

    boolean isValidPropertyValue(RDFResource subject,
                                 RDFProperty predicate,
                                 Object value)

  Checks if a certain object would be a valid value for a given subject/property pair. This can be used by visual components to validate user input. Typical implementations check for constraint violations such as numeric ranges, string length etc. This does not check for cardinality restrictions.

  Parameters:
    `subject` - the subject to check the value for
    `predicate` - the property to check for
    `value` - the potential value
  Returns:
    true if value would be valid for the subject/predicate pair

### isValidResourceName

    boolean isValidResourceName(String name,
                                RDFResource resource)

  Checks whether a given String would be a valid name for a given resource.

  Parameters:
    `name` - the potential name of the resource
    `resource` - the RDFResource to test
  Returns:
    true if the resource could be renamed to name

### getResourcesWithPrefix

    Collection getResourcesWithPrefix(String prefix)

  Gets all resource in this that have a given prefix.

  Parameters:
    `prefix` - the prefix to search for
  Returns:
    a Collection of the matching NamespaceInstances

### getLocalNameForURI

    String getLocalNameForURI(String uri)

  Gets the local part of an URI, e.g. for `http://www.aldi.de/ontologies#Hans` this will return the String `Hans`.

  Parameters:
    `uri` - the fully qualified URI
  Returns:
    the local name in the URI

### getLocalNameForResourceName

    String getLocalNameForResourceName(String frameName)

### getNamespaceManager

    NamespaceManager getNamespaceManager()

  Gets the NamespaceManager used by this knowledge base.

  Returns:
    the NamespaceManager

### getNamespaceForResourceName

    String getNamespaceForResourceName(String resourceName)

### getNamespaceForURI

    String getNamespaceForURI(String uri)

  Gets the namespace part of a given URI. For `http://www.aldi.de/ontologies#Hans` this will return `http://www.aldi.de/ontologies#`.

  Parameters:
    `uri` - the fully qualified URI
  Returns:
    the namespace including the #

### getPrefixForResourceName

    String getPrefixForResourceName(String resourceName)

### getPropertyValueValidator

    PropertyValueValidator getPropertyValueValidator()

  Gets the currently used PropertyValueValidator.

  Returns:
    the validator
  See Also:
    `setPropertyValueValidator(edu.stanford.smi.protegex.owl.model.validator.PropertyValueValidator)`

### getTripleStoreModel

    TripleStoreModel getTripleStoreModel()

### getURIForResourceName

    String getURIForResourceName(String resourceName)

### isExpandShortNameInMethods

    boolean isExpandShortNameInMethods()

### listOWLAnonymousClasses

    Iterator listOWLAnonymousClasses()

  Gets an Iterator of all OWLAnonymousClasses in the ontology.

  Returns:
    an Iterator of OWLAnonymousClass objects

### listOWLNamedClasses

    Iterator listOWLNamedClasses()

  Gets an Iterator on all OWLNamedClasses in the ontology, including system classes.

  Returns:
    an Iterator of OWLNamedClass objects

### listRDFProperties

    Iterator listRDFProperties()

  Gets an Iterator on all RDFProperties in the model, including system properties.

  Returns:
    an Iterator of RDFProperty objects

### listRDFSNamedClasses

    Iterator listRDFSNamedClasses()

  Gets an Iterator on all RDFSNamedClasses in the ontology, including system classes.

  Returns:
    an Iterator of RDFSNamedClass objects

### listReferences

    Iterator listReferences(Object object,
                            int maxResults)

  Finds all references to a given object, i.e. all triples that have the given object as their object.

  Parameters:
    `object` - the object to look for
    `maxResults` - the maximum number of expected results
  Returns:
    an Iterator of type Tuple

### listSubjects

    Iterator listSubjects(RDFProperty property)

  The the subjects of all triples where a given property has any value. The Iterator does not contain duplicates.

  Parameters:
    `property` - the property to look for
  Returns:
    an Iterator of RDFResources

### removeClassListener

    void removeClassListener(ClassListener listener)

  Removes a ClassListener that was previously added.

  Parameters:
    `listener` - the ClassListener to remove
  See Also:
    `addClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### removeModelListener

    void removeModelListener(ModelListener listener)

  Removes a ModelListener that was previously added.

  Parameters:
    `listener` - the ModelListener to remove
  See Also:
    `addModelListener(edu.stanford.smi.protegex.owl.model.event.ModelListener)`

### removePropertyListener

    void removePropertyListener(PropertyListener listener)

  Removes a PropertyListener that was previously added.

  Parameters:
    `listener` - the PropertyListener to remove
  See Also:
    `addPropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### removePropertyValueListener

    void removePropertyValueListener(PropertyValueListener listener)

  Removes a PropertyValueListener previously added.

  Parameters:
    `listener` - the listener to remove
  See Also:
    `addPropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### removeResourceListener

    void removeResourceListener(ResourceListener listener)

  Removes a ResourceListener that was previously added.

  Parameters:
    `listener` - the ResourceListener to remove
  See Also:
    `addResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### resetJenaModel

    void resetJenaModel()

  resets the Jena model so that it can be rebuilt.

### resetOntologyCache

    void resetOntologyCache()

### setDispatchEventsEnabled

    boolean setDispatchEventsEnabled(boolean enabled)

  Specified by:
    `setDispatchEventsEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `getDispatchEventsEnabled()`

### setExpandShortNameInMethods

    void setExpandShortNameInMethods(boolean expandShortNameInMethods)

### setGenerateEventsEnabled

    boolean setGenerateEventsEnabled(boolean enabled)

  Specified by:
    `setGenerateEventsEnabled` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  See Also:
    `getGenerateEventsEnabled()`

### setOWLClassDisplay

    void setOWLClassDisplay(OWLClassDisplay display)

  Sets the OWLClassDisplay to change the default display of classes. As a side-effect, this call also changes the OWLClassParser, which depends on the display.

  Parameters:
    `display` - the new display (not null)

### setOWLJavaFactory

    void setOWLJavaFactory(OWLJavaFactory factory)

  Sets the OWLJavaFactory for this OWLModel. An OWLJavaFactory creates the Java object for an RDFResource.

  Parameters:
    `factory` - the new OWLJavaFactory
  See Also:
    `OWLJavaFactory`, `getOWLJavaFactory()`

### setOWLProject

    void setOWLProject(OWLProject owlProject)

  Sets the associated OWLProject.

  Parameters:
    `owlProject` - the new OWLProject
  See Also:
    `getOWLProject()`

### setPropertyValueValidator

    void setPropertyValueValidator(PropertyValueValidator validator)

  Sets the validator that shall be used in future calls of the validation methods.

  Parameters:
    `validator` - the new Validator (or null)
  See Also:
    `isValidPropertyValue(edu.stanford.smi.protegex.owl.model.RDFResource, edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### setSearchSynonymProperties

    void setSearchSynonymProperties(Collection properties)

  See Also:
    `getSearchSynonymProperties()`

### setTaskManager

    void setTaskManager(TaskManager taskManager)

  Sets the TaskManager.

  Parameters:
    `taskManager` - the new TaskManager (not null)
  See Also:
    `getTaskManager()`

### getWriterSettings

    WriterSettings getWriterSettings()

### setWriterSettings

    void setWriterSettings(WriterSettings writerSettings)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.